## zope.configuration 7.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopeconfiguration.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopeconfiguration.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopeconfiguration"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopeconfiguration"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.configuration 3.7.4

=== debian/changelog ===
zope.configuration (3.7.4-2fakesync1) precise; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 14 Nov 2011 11:34:09 +0200

zope.configuration (3.7.4-2) unstable; urgency=low

  * Team upload.
  * debian/clean: remove to make sure all files are installed.
  * debian/source/options: ignore .egg-info directory.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 08 Nov 2011 21:40:05 +0900

zope.configuration (3.7.4-1) unstable; urgency=low

  * Team upload.

  [ Arnaud Fontaine ]
  * Add debian/clean to get rid of egg-info/* to prevent FTBFS if
    built twice.

  [ Gediminas Paulauskas ]
  * New upstream release.
  * Switch to dh_python2 (Closes: #617162):
    - debian/control: remove python-central and python-van.pydeb from
      Build-Depends.
    - debian/rules: replace pydeb and python-central with python2.
  * debian/control:
    - Add Homepage and Vcs-Browser fields.
    - Bump Standards-Version to 3.9.2, no changes needed.
  * Switch to 3.0 (quilt) source format.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 18 Oct 2011 11:12:55 +0900

zope.configuration (3.7.2-1) natty; urgency=low

  * New upstream release.
  * Move test dependencies to Suggests.
  * debian/copyright: convert to dep5 format.
  * debian/control: depend on python-all (not -dev).

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Mar 2011 20:02:35 +0200

zope.configuration (3.7.1-1) unstable; urgency=low

  * New upstream release.
  * Convert to debhelper 7 and the pydeb dh7 extension.

 -- Fabio Tranchitella <kobold@debian.org>  Wed, 06 Jan 2010 13:13:41 +0100

zope.configuration (3.6.0-4) unstable; urgency=low

  * debian/control: build-depend on pyton-vab.pydeb >= 1.3.0-2.
    (Closes: #552975)

 -- Fabio Tranchitella <kobold@debian.org>  Sun, 08 Nov 2009 11:25:50 +0100

zope.configuration (3.6.0-3) unstable; urgency=low

  * Set section to zope.
  * Rebuild against van.pydeb 1.3.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 Sep 2009 09:26:55 +0200

zope.configuration (3.6.0-2) unstable; urgency=low

  * Add python-zope.testing as a test dep, it is used as the testrunner.

 -- Brian Sutherland <brian@vanguardistas.net>  Tue, 02 Jun 2009 13:59:32 +0200

zope.configuration (3.6.0-1) unstable; urgency=low

  * New upstream release
  * Add watch file
  * Change source package name
  * Standards-Version 3.8.1
  * Python-Version all
  * Build with the newer python-van.pydeb rather than python-
    vanguardistas.pydebdep

 -- Brian Sutherland <brian@vanguardistas.net>  Mon, 25 May 2009 22:34:14 +0200

python-zope.configuration (3.4.0-1ubuntu1.2) lenny; urgency=low

  * Non-maintainer upload.
  * Rebuild for lenny

 -- Brian Sutherland <brian@vanguardistas.net>  Fri, 08 May 2009 11:04:24 +0000

python-zope.configuration (3.4.0-1ubuntu1.1) etch-devel; urgency=low

  * Non-maintainer upload.
  * Rebuild for etch-devel

 -- Brian Sutherland <brian@vanguardistas.net>  Wed, 23 Jul 2008 09:31:21 +0200

python-zope.configuration (3.4.0-1ubuntu1) hardy; urgency=low

  * Re-build for hardy

 -- Ignas Mikalajunas <ignas.mikalajunas@gmail.com>  Wed, 23 Apr 2008 11:18:54 +0300

python-zope.configuration (3.4.0-1) gutsy; urgency=low

  * Inital Release

 -- Brian Sutherland <brian@vanguardistas.net>  Thu,  8 Nov 2007 19:27:48 +0100

=== debian/control ===
Source: zope.configuration
Section: zope
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>, Fabio Tranchitella <kobold@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/zope.configuration
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.configuration/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.configuration/trunk

Package: python-zope.configuration
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-zope.testing
Conflicts: zope3
Description: Zope Configuration Markup Language (ZCML)
 The zope configuration system provides an extensible system for
 supporting various kinds of configurations.
 .
 It is based on the idea of configuration directives. Users of the
 configuration system provide configuration directives in some
 language that express configuration choices. The intent is that the
 language be pluggable.  An XML language is provided by default.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.configuration/zope.configuration-(.*)\.(?:tar\.gz|zip)

## zope.configuration 4.0.3

=== debian/changelog ===
zope.configuration (4.0.3-3) unstable; urgency=medium

  * d/control: Bump Standards-Version with no other changes necessary.
  * d/watch: Use the pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Wed, 10 Jun 2015 09:55:29 -0400

zope.configuration (4.0.3-2) unstable; urgency=medium

  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 12:22:35 -0400

zope.configuration (4.0.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release.
  * d/control:
    - Updated Build-Depends.
    - Added myself to Uploaders.
    - Added X-Python3-Version header.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added python3-zope.configuration binary package.
    - Added XS-Testsuite header.  Closes: #692710
    - wrap-and-sort
  * d/rules: Switched to --buildsystem=pybuild and added dh_python3.
  * d/copyright:
    - Added Files-Excluded header to prune pre-built Sphinx artifacts in
      docs/_build from the original tarball.
    - Fixed Format header.
  * d/compat: Bumped to version 9.

 -- Barry Warsaw <barry@debian.org>  Wed, 25 Jun 2014 14:40:59 -0400

=== debian/control ===
Source: zope.configuration
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: Brian Sutherland <brian@vanguardistas.net>,
           Fabio Tranchitella <kobold@debian.org>,
           Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-zope.i18nmessageid,
               python-zope.schema,
               python3-all,
               python3-setuptools,
               python3-zope.i18nmessageid,
               python3-zope.schema
Standards-Version: 3.9.6
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.2
Homepage: http://pypi.python.org/pypi/zope.configuration
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.configuration/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.configuration/trunk
XS-Testsuite: autopkgtest

Package: python-zope.configuration
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-zope.testing
Conflicts: zope3
Description: Zope Configuration Markup Language (ZCML)
 The zope configuration system provides an extensible system for
 supporting various kinds of configurations.
 .
 It is based on the idea of configuration directives. Users of the
 configuration system provide configuration directives in some
 language that express configuration choices. The intent is that the
 language be pluggable.  An XML language is provided by default.
 .
 This is the Python 2 version.

Package: python3-zope.configuration
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-zope.testing
Conflicts: zope3
Description: Zope Configuration Markup Language (ZCML)
 The zope configuration system provides an extensible system for
 supporting various kinds of configurations.
 .
 It is based on the idea of configuration directives. Users of the
 configuration system provide configuration directives in some
 language that express configuration choices. The intent is that the
 language be pluggable.  An XML language is provided by default.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.configuration

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.configuration/zope.configuration-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.configuration 4.3.1

=== debian/changelog ===
zope.configuration (4.3.1-1) unstable; urgency=medium

  * QA upload
  * New upstream release
  * d/control
    - Change Priority from extra to optional
    - Change to debhelper-comapt
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Use secure URI on homepage
    - Add Rules-Requires-Root: no
    - Change testsuite to autopkgtest-pkg-python
    - Add version control on python3-zope.schema
  * d/watch
    - Use secure URI
  * d/copyright
    - Use secure URI
    - Remove Files-Excluded, files is no longer included in source
  * Set upstream metadata fields: Bug-Database, Repository,
     Repository-Browse.
  * Disable upstream testsuite.

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 05 Jan 2020 10:48:19 +0100

zope.configuration (4.0.3-6) unstable; urgency=medium

  * Replace custom autopkgtest with autodep8

 -- Paul Gevers <elbrus@debian.org>  Sat, 21 Sep 2019 14:23:27 +0200

zope.configuration (4.0.3-5) unstable; urgency=medium

  * QA upload.
  * Orphan the package. Closes: #869455.
  * Stop building the Python2 package. Closes: #938899.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Thu, 05 Sep 2019 08:45:29 +0200

=== debian/control ===
Source: zope.configuration
Section: zope
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-zope.i18nmessageid,
               python3-zope.schema (>= 4.9.0),
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://pypi.python.org/pypi/zope.configuration
Testsuite: autopkgtest-pkg-python

Package: python3-zope.configuration
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-zope.testing
Conflicts: zope3
Description: Zope Configuration Markup Language (ZCML)
 The zope configuration system provides an extensible system for
 supporting various kinds of configurations.
 .
 It is based on the idea of configuration directives. Users of the
 configuration system provide configuration directives in some
 language that express configuration choices. The intent is that the
 language be pluggable.  An XML language is provided by default.
 .
 This is the Python 3 version.

## zope.configuration 4.4.0

=== debian/changelog ===
zope.configuration (4.4.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release
  * Update Standards-Version to 4.5.0
  * Bump debhelper to 13
  * Set upstream metadata field: Bug-Submit

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 02 May 2020 13:26:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: zope
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-zope.i18nmessageid,
                python3-zope.schema (>= 4.9.0),
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pypi.python.org/pypi/zope.configuration
 Testsuite: autopkgtest-pkg-python

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.configuration
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.configuration/zope.configuration-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.configuration 4.4.1

=== debian/changelog ===
zope.configuration (4.4.1-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * autopkgtest:
    - Add upstream unittests as autopkgtest.
    - Remove autopkgtest-pkg-python, no longer needed.
  * d/watch: Bump to version 4.
  * Update Standards-Version to 4.6.1
  * Change homepage, point to GitHub.
  * Run tests during build.
    - Add python3-manuel, python3-zope.testing and python3-zope.testrunner
      as build dependency.
  * d/copyright:
    - Update copyright years.
    - Update URI in source field.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 25 Jun 2022 08:16:34 +0200

=== debian/tests/control ===
Tests: upstream-unittest
Depends: python3-all,
         python3-manuel,
         python3-pytest,
         python3-zope.configuration,
         python3-zope.testing,

## zope.configuration 5.0

=== debian/changelog ===
zope.configuration (5.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 16:14:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
+               python3-manuel,
                python3-setuptools,
                python3-zope.i18nmessageid,
                python3-zope.schema (>= 4.9.0),
-Standards-Version: 4.5.0
+               python3-zope.testing,
+               python3-zope.testrunner,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-Homepage: https://pypi.python.org/pypi/zope.configuration
-Testsuite: autopkgtest-pkg-python
+Homepage: https://github.com/zopefoundation/zope.configuration
 
 Package: python3-zope.configuration
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.configuration

%:
	dh $@ --with python3 --buildsystem=pybuild


override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m zope.testrunner --test-path=src --verbose --progress --color" dh_auto_test

## zope.configuration 5.0.1

=== debian/changelog ===
zope.configuration (5.0.1-1) unstable; urgency=medium

  * Adopt package for the Debian Python Team (closes: #948806).
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Thu, 06 Jun 2024 09:04:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: zope.configuration
 Section: zope
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-manuel,
                python3-setuptools,
                python3-zope.i18nmessageid,
                python3-zope.schema (>= 4.9.0),
@@ -14,6 +14,8 @@
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.configuration
+Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.configuration
+Vcs-Git: https://salsa.debian.org/python-team/packages/zope.configuration.git
 
 Package: python3-zope.configuration
 Architecture: all

=== debian/tests/control ===
Tests: upstream-unittest
Depends: python3-all,
         python3-pytest,
         python3-zope.configuration,
         python3-zope.testing,

## zope.configuration 6.0

=== debian/changelog ===
zope.configuration (6.0-1) unstable; urgency=medium

  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.
  * Run doctests.
  * Add explicit build-dependency on python3-zope.interface.
  * Use dh-sequence-python3.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Dec 2024 13:06:43 +0000

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,23 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-repoze.sphinx.autointerface <!nocheck>,
                python3-setuptools,
+               python3-sphinx <!nocheck>,
                python3-zope.i18nmessageid,
+               python3-zope.interface,
                python3-zope.schema (>= 4.9.0),
-               python3-zope.testing,
-               python3-zope.testrunner,
+               python3-zope.testing <!nocheck>,
+               python3-zope.testrunner <!nocheck>,
 Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/zopefoundation/zope.configuration
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.configuration
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.configuration.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-zope.configuration
 Architecture: all

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.configuration/zope.configuration-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.configuration 7.0

=== debian/changelog ===
zope.configuration (7.0-2) unstable; urgency=medium

  * Team upload.
  * Patch-out python3-pkg-resources (Closes: #1084006)
  * Remove "Rules-Requires-Root: no"
  * Update Standards-Version to 4.7.2

 -- Alexandre Detiste <tchet@debian.org>  Fri, 26 Sep 2025 13:34:49 +0200

zope.configuration (7.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 12:16:23 +0100

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,7 @@
                python3-zope.schema (>= 4.9.0),
                python3-zope.testing <!nocheck>,
                python3-zope.testrunner <!nocheck>,
-Standards-Version: 4.6.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.configuration
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.configuration
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.configuration.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zope.configuration
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.configuration -vv && \
	PYTHONPATH=. {interpreter} -m sphinx.cmd.build -b doctest docs ../doctest

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.configuration/
Matching-Pattern: zope.configuration-@ANY_VERSION@@ARCHIVE_EXT@
